# Uses of Interface
classycle.graph.VertexCondition

Packages that use VertexCondition
Package
Description
classycle.dependency
classycle.graph

## Uses of VertexCondition in classycle.dependency

Classes in classycle.dependency that implement VertexCondition
Modifier and Type
Class
Description
`class`
`PatternVertexCondition`
Constructors in classycle.dependency with parameters of type VertexCondition
Modifier
Constructor
Description
``
`DependencyPathsRenderer(Vertex[] graph, VertexCondition startSetCondition, VertexCondition finalSetCondition)`

## Uses of VertexCondition in classycle.graph

Methods in classycle.graph that return VertexCondition
Modifier and Type
Method
Description
`VertexCondition`
PathsFinder.`getFinalSetCondition()`
`VertexCondition`
PathsFinder.`getStartSetCondition()`
Constructors in classycle.graph with parameters of type VertexCondition
Modifier
Constructor
Description
``
`PathsFinder(VertexCondition startSetCondition, VertexCondition finalSetCondition, boolean shortestPathsOnly)`
Creates an instance for the specified vertex conditions.
``
`PathsFinder(VertexCondition startSetCondition, VertexCondition finalSetCondition, boolean shortestPathsOnly, boolean directPathsOnly)`
Creates an instance for the specified vertex conditions.